---
title: RTCErrorEvent
slug: Web/API/RTCErrorEvent
tags:
  - API
  - Error
  - Error Handling
  - ICE
  - Interface
  - RTCErrorEvent
  - WebRTC
  - WebRTC API
  - WebRTC Device API
  - rtc
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p>The WebRTC API's <strong><code>RTCErrorEvent</code></strong> interface represents an error sent to a WebRTC object. It's based on the standard {{domxref("Event")}} interface, but adds RTC-specific information describing the error, as shown below.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("RTCErrorEvent.RTCErrorEvent", "RTCErrorEvent()")}}</dt>
 <dd>Creates and returns a new <code>RTCErrorEvent</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p><em>In addition to the standard properties available on the {{domxref("Event")}} interface, <code>RTCErrorEvent</code> also includes the following:</em></p>

<dl>
 <dt>{{domxref("RTCErrorEvent.error", "error")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("RTCError")}} object specifying the error which occurred; this object includes the type of error that occurred, information about where the error occurred (such as which line number in the {{Glossary("SDP")}} or what {{Glossary("SCTP")}} cause code was at issue).</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>No additional methods are provided beyond any found on the parent interface, {{domxref("Event")}}.</em></p>

<h2 id="Description">Description</h2>

<p>There are other data types used for error events in WebRTC, as needed for errors with special information sharing requirements. The most common of these is probably {{domxref("RTCPeerConnectionIceErrorEvent")}}, used by the {{domxref("RTCPeerConnection.icecandidateerror_event", "icecandidateerror")}} event, which signals an error that has occurred while gathering ICE candidates during connection negotiation.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcerrorevent', 'RTCErrorEvent')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCErrorEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>WebRTC API</li>
 <li>{{domxref("RTCError")}}</li>
 <li>The <code>error</code> event occurs on the following interfaces: {{domxref("RTCDataChannel")}} and {{domxref("RTCDtlsTransport")}}</li>
 <li>{{domxref("RTCPeerConnectionIceErrorEvent")}}</li>
</ul>
